[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# AnsiIndexText

Searches, case insensitive, for a string in an array of strings.

## Declaration

Source position: strutils.pp line 35

`function AnsiIndexText(`
`const AText: string;`
`const AValues: array of string`
`):Integer;`

## Arguments

`AText` |  | String to search for
`AValues` |  | Array of strings to search in.

## Function result

Index of the matching element in the array, otherwise -1.

## Description

AnsiIndexText matches AText against each string in AValues. If a match is found, the corresponding index (zero-based) in the AValues array is returned. If no match is found, -1 is returned. The strings are matched ignoring case.

## Errors

None

## See also

AnsiIndexStr |  | Searches, observing case, for a string in an array of strings.
AnsiMatchStr |  | Check whether a string occurs in an array of strings, observing case.
IndexStr |  | Searches, observing case, for a string in an array of strings.
MatchStr |  | Check whether a string occurs in an array of strings, observing case.
AnsiMatchText |  | Check whether a string occurs in an array of strings, disregarding case.